﻿namespace AirplaneWithRadar.Entities
{
    public class AirplaneEntity
    {
        public int Speed { get; private set; }
        public double Weight { get; private set; }
        public Color BodyColor { get; set; }
        public double Step => (double)Speed * 100 / Weight;

        public AirplaneEntity(int speed, double weight, Color bodyColor) 
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
        }
    }
}
