﻿namespace AirplaneWithRadar.Generics { 
    internal class AirplaneCollectionInfo : IEquatable<AirplaneCollectionInfo>
    {
        public string Name { get; private set; }
        public string Description { get; private set; }
        public AirplaneCollectionInfo(string name, string description)
        {
            Name = name;
            Description = description;
        }
        public bool Equals(AirplaneCollectionInfo? other)
        {
            if (this.Name == other?.Name) { return true; }
            return false;
        }
        public override int GetHashCode()
        {
            return Name.GetHashCode();
        }
    }
}
